#' predict_batea

#' predict_batea
#' @param model model of class model_xBATEA
#' @param dataset list or tibble
#' @param FUN_predict function for the prediciton
#' @keywords batqa
#' @export
#' @examples
#' \dontrun{
#' predict_batea()
#' }
#
predict_batea <- function(model,dataset,FUN_predict){

  if (!inherits(model,"model_xBATEA")) stop("'model' is not class 'model_xBATEA'")

  tmp <- FUN_predict(object=model$core ,dataset=dataset)

  phi_median <- list()
  for (i in 1:length(model$batea$name)){
    pdistrib <- model$batea$distrib[[i]]
    par <- model$post_est$values[[model$batea$name[i]]]
    phi_median[[model$batea$name[i]]] <- mediandistrib(par=par,pdistrib=pdistrib)
  }

  se <- switch(model$batea$type,
  "batea_r"     = data.frame(s=NA,o=NA,r=phi_median$sig_r,tot=NA),
  "batea_or"    = data.frame(s=NA,o=batqa::expr_sig_g_ts_1par(dataset[[model$y_tilde]],phi_median$phi_g1),r=phi_median$sig_r,tot=NA),
  "batea_sor"   = data.frame(s=batqa::expr_sig_h_ts_1par(tmp,phi_median$phi_h1),o=batqa::expr_sig_g_ts_1par(dataset[[model$y_tilde]],phi_median$phi_g1),r=phi_median$sig_r,tot=NA),
  "batea_isor"  = data.frame(s=batqa::expr_sig_h_ts_1par(tmp,phi_median$phi_h1),o=batqa::expr_sig_g_ts_1par(dataset[[model$y_tilde]],phi_median$phi_g1),r=phi_median$sig_r,tot=NA),
  stop("batea type not recognized")  )

  se$tot <- rowSums(se,na.rm=TRUE)

  name <- class(model$core)[1]

  res <- tibble::as_tibble(data.frame(prediction  = tmp,
                                      se          = se,
                                      #obs         = dataset[[target]],
                                      #pvalue    = stats::pnorm(q=dataset[[target]], mean=tmp,sd=se$tot),
                                      method      = rep(paste0(name,"_",model$batea$type),nrow(dataset))
                                     ))
  names(res) <- gsub("\\.","_",names(res))

  class(res) <- c("xBATEA",class(res))
  return(res)
}
