
#' relative expanded uncertainty

#' reu
#' @param xBATEA_obj xBATEA object
#' @param obs observations
#' @param alpha 0.05 by default
#' @keywords batqa
#' @export
#' @examples
#' \dontrun{
#' rel_unc()
#' }
#
reu <- function(xBATEA_obj,obs,alpha=0.05){

  percentile <- 1-alpha/2

  res <- tibble::as_tibble(data.frame(
                        obs = obs,
                        reu = stats::qnorm(p=percentile,mean=0,sd=xBATEA_obj[["se_tot"]])/xBATEA_obj[["prediction"]]*100,
                        method = xBATEA_obj[["method"]]))

  class(res) <- c("reu",class(res))
  return (res)
}
