% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fit.R
\name{fit_batea}
\alias{fit_batea}
\title{fit_batea
fit_batea}
\usage{
fit_batea(train, test, target, predictors, FUN_fit, FUN_predict,
  batea_type = c("r", "or", "sor", "isor"), alg = "mh_pw",
  niter = 50000, hyperpar = list(phi_f1 = list(mean = 4.35/100/1.96, sd
  = 3/100), phi_g1 = list(mean = 4.35/100/1.96, sd = 3/100), phi_h1 =
  list(mean = 0.1, sd = 0.1), beta_r = list(mean = 1, sd = 2), sig_r =
  list(df = 1, scale = 0.2)), burnin = 30, BURNIN = TRUE)
}
\arguments{
\item{train}{train dataset list or tibble}

\item{test}{test dataset list or tibble}

\item{target}{column name of the target}

\item{predictors}{column names of the predictors}

\item{FUN_fit}{function for the fitting}

\item{FUN_predict}{function for the prediciton}

\item{batea_type}{chosen BATEA type 'r','or','sor','isor'}

\item{alg}{algorithm name for the BATEA optimisation}

\item{niter}{number of iteration for the optimisation}

\item{hyperpar}{hyper-parameters of the a prior information about input, output, structure, and remnant errors}

\item{burnin}{burnin percentage by default 30}

\item{BURNIN}{boolean by default TRUE}
}
\description{
fit_batea
fit_batea
}
\examples{
\dontrun{
fit_batea()
}
}
\keyword{batqa}
